org.apache.storm.hbase.trident.state

## Class HBaseMapState<T>

- java.lang.Object
- - org.apache.storm.hbase.trident.state.HBaseMapState<T>

- All Implemented Interfaces:
    IBackingMap<T>

      public class HBaseMapState<T>
      extends Object
      implements IBackingMap<T>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `HBaseMapState.Factory`
    `static class` | `HBaseMapState.Options<T>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HBaseMapState(HBaseMapState.Options<T> options, Map<String,Object> map, int partitionNum)` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<T>` | `multiGet(List<List<Object>> keys)`
    `void` | `multiPut(List<List<Object>> keys, List<T> values)`
    `static StateFactory` | `nonTransactional()`
    `static StateFactory` | `nonTransactional(HBaseMapState.Options<Object> opts)`
    `static StateFactory` | `opaque()`
    `static StateFactory` | `opaque(HBaseMapState.Options<OpaqueValue> opts)`
    `static StateFactory` | `transactional()`
    `static StateFactory` | `transactional(HBaseMapState.Options<TransactionalValue> opts)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HBaseMapState

          public HBaseMapState(HBaseMapState.Options<T> options,
                               Map<String,Object> map,
                               int partitionNum)

      Constructor.

      Parameters:
        `options` - HBase State options.
        `map` - topology config map.
        `partitionNum` - the number of partition.

  - ### Method Detail

    - #### opaque

          public static StateFactory opaque()

    - #### opaque

          public static StateFactory opaque(HBaseMapState.Options<OpaqueValue> opts)

    - #### transactional

          public static StateFactory transactional()

    - #### transactional

          public static StateFactory transactional(HBaseMapState.Options<TransactionalValue> opts)

    - #### nonTransactional

          public static StateFactory nonTransactional()

    - #### nonTransactional

          public static StateFactory nonTransactional(HBaseMapState.Options<Object> opts)

    - #### multiGet

          public List<T> multiGet(List<List<Object>> keys)

      Specified by:
        `multiGet` in interface `IBackingMap<T>`

    - #### multiPut

          public void multiPut(List<List<Object>> keys,
                               List<T> values)

      Specified by:
        `multiPut` in interface `IBackingMap<T>`

Copyright © 2021 The Apache Software Foundation. All rights reserved.